#include <iostream>
#include<cstdio>
#include<algorithm>
#include <cmath>
#include <cstdlib>
using namespace std;
int q,n;
int t1=0,t;
int main()
{
//	scanf("%d",&t);
	while(1)
	{
		scanf("%d",&n);
		if(n==0)
		{
			break;
		} 
//		int len=sqrt(n);
		int res=n;
		for(int i=2;i*i<=n;i++)//i=2
		{
			if(n%i==0)
			{
				res=res-res/i;
			}
			while(n%i==0)
			{
				n/=i;
			}
		}
		if(n>1)
		res=res-res/n;
		printf("%d\n",res);
	}
	return 0;
}
